# gdcm::Testing Class Reference

class for testing More...

`#include <gdcmTesting.h>`

List of all members.

## Public Types
typedef const char *const (* | MD5DataImagesType )[2]
typedef const char *const (* | MediaStorageDataFilesType )[2]
| return the table that map the media storage (as string) of a filename (gdcmData)
## Public Member Functions
| Testing ()
| ~Testing ()
void | Print (std::ostream &os=std::cout)
| Print.
## Static Public Member Functions
static bool | ComputeFileMD5 (const char *filename, char digest_str[33])
static bool | ComputeMD5 (const char *buffer, unsigned long buf_len, char digest_str[33])
static const char * | GetDataExtraRoot ()
| Return the GDCM DATA EXTRA ROOT.
static const char * | GetDataRoot ()
| Return the GDCM DATA ROOT.
static const char * | GetFileName (unsigned int file)
static const char *const * | GetFileNames ()
| return the table of fullpath to gdcmData DICOM files:
static const char *const * | GetMD5DataImage (unsigned int file)
static MD5DataImagesType | GetMD5DataImages ()
static const char * | GetMD5FromFile (const char *filepath)
static const char *const * | GetMediaStorageDataFile (unsigned int file)
static MediaStorageDataFilesType | GetMediaStorageDataFiles ()
static const char * | GetMediaStorageFromFile (const char *filepath)
static unsigned int | GetNumberOfFileNames ()
static unsigned int | GetNumberOfMD5DataImages ()
static unsigned int | GetNumberOfMediaStorageDataFiles ()
static const char * | GetPixelSpacingDataRoot ()
| Return the GDCM PIXEL SPACING DATA ROOT (See David Clunie website for dataset).
static const char * | GetSourceDirectory ()
static const char * | GetTempDirectory (const char *subdir=0)
static const char * | GetTempFilename (const char *filename, const char *subdir=0)
| NOT THREAD SAFE.

## Detailed Description

class for testing

this class is used for the nightly regression system for GDCM It makes heavily use of md5 computation

See also:
  gdcm::MD5 class for md5 computation

## Member Typedef Documentation

typedef const char* const(* gdcm::Testing::MD5DataImagesType)[2]

return the table that map the md5 (as in md5sum) of the Pixel Data associated to a filename

typedef const char* const(* gdcm::Testing::MediaStorageDataFilesType)[2]

return the table that map the media storage (as string) of a filename (gdcmData)

## Constructor & Destructor Documentation

gdcm::Testing::Testing | ( |  | ) | `[inline]`

gdcm::Testing::~Testing | ( |  | ) | `[inline]`

## Member Function Documentation

static bool gdcm::Testing::ComputeFileMD5 | ( | const char * | filename,
|  | char | digest_str[33] |
| ) |  |  | `[static]`

static bool gdcm::Testing::ComputeMD5 | ( | const char * | buffer,
|  | unsigned long | buf_len,
|  | char | digest_str[33] |
| ) |  |  | `[static]`

MD5 stuff digest_str needs to be at least : strlen = [2*16+1]; string will be padded. (md5 are 32 bytes long) Testing is not meant to be shipped with an installed GDCM release, always prefer the gdcm::MD5 API when doing md5 computation.

static const char* gdcm::Testing::GetDataExtraRoot | ( |  | ) | `[static]`

Return the GDCM DATA EXTRA ROOT.

Examples:
  VolumeSorter.cxx.

static const char* gdcm::Testing::GetDataRoot | ( |  | ) | `[static]`

Return the GDCM DATA ROOT.

static const char* gdcm::Testing::GetFileName | ( | unsigned int | file | ) | `[static]`

static const char* const* gdcm::Testing::GetFileNames | ( |  | ) | `[static]`

return the table of fullpath to gdcmData DICOM files:

Examples:
  TestReader.cxx.

static const char* const* gdcm::Testing::GetMD5DataImage | ( | unsigned int | file | ) | `[static]`

static MD5DataImagesType gdcm::Testing::GetMD5DataImages | ( |  | ) | `[static]`

static const char* gdcm::Testing::GetMD5FromFile | ( | const char * | filepath | ) | `[static]`

static const char* const* gdcm::Testing::GetMediaStorageDataFile | ( | unsigned int | file | ) | `[static]`

static MediaStorageDataFilesType gdcm::Testing::GetMediaStorageDataFiles | ( |  | ) | `[static]`

static const char* gdcm::Testing::GetMediaStorageFromFile | ( | const char * | filepath | ) | `[static]`

Examples:
  TestReader.cxx.

static unsigned int gdcm::Testing::GetNumberOfFileNames | ( |  | ) | `[static]`

static unsigned int gdcm::Testing::GetNumberOfMD5DataImages | ( |  | ) | `[static]`

static unsigned int gdcm::Testing::GetNumberOfMediaStorageDataFiles | ( |  | ) | `[static]`

static const char* gdcm::Testing::GetPixelSpacingDataRoot | ( |  | ) | `[static]`

Return the GDCM PIXEL SPACING DATA ROOT (See David Clunie website for dataset).

static const char* gdcm::Testing::GetSourceDirectory | ( |  | ) | `[static]`

static const char* gdcm::Testing::GetTempDirectory | ( | const char * | subdir = `0` | ) | `[static]`

NOT THREAD SAFE Returns the temp directory as used in testing needing to output data:

static const char* gdcm::Testing::GetTempFilename | ( | const char * | filename,
|  | const char * | subdir = `0` |
| ) |  |  | `[static]`

NOT THREAD SAFE.

void gdcm::Testing::Print | ( | std::ostream & | os = `std::cout` | ) |

Print.

The documentation for this class was generated from the following file:

- gdcmTesting.h